Get VC details
GET
/v1/did/vcs/{vcId}
const url = 'https://api.parasta.io/v1/did/vcs/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.parasta.io/v1/did/vcs/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” vcId
required
string
Responses
Section titled “ Responses ”OK
Media type application/json
W3C VC Data Model 2.0.
object
@context
Array<string>
id
string
type
Array<string>
validFrom
string format: date-time
validUntil
string format: date-time
credentialSubject
object
key
additional properties
any
proof
object
key
additional properties
any
key
additional properties
any
Example generated
{ "@context": [ "example" ], "id": "example", "type": [ "example" ], "issuer": { "id": "example", "name": "example" }, "validFrom": "2026-04-15T12:00:00Z", "validUntil": "2026-04-15T12:00:00Z", "credentialSubject": {}, "proof": {}}